## f_mountdrv

The f_mountdrv forces the partition mounted.

    FRESULT f_mountdrv (void);

#### Return Values

FR_OK (0)
  The function succeeded.
FR_NOT_READY
  The disk drive cannot work due to no medium in the drive or any other reason.
FR_RW_ERROR
  Any error occured in low level disk I/O.
FR_NOT_ENABLED
  FatFs module is not enabled.
FR_NO_FILESYSTEM
  There is no valid FAT partition on the disk.

#### Description

The f_mountdrv forces the partition mounted (initializes `FATFS` structure). The file system is initialized automatically in accordance with the necessity when any file function is called. This function should not be used except for recovering `FR_INCORRECT_DISK_CHANGE` error. Using this function, while any file is opened, can destroy the file system.

In this function, following processes are executed.

- Initializes lower level layer (disk I/O module).
- Searches a FAT boot record in order of sector 0 (as SFD format) and first primary partition (as FDISK format).
- Initializes file system object (`FATFS` structure).

#### References

`FATFS`

Return